﻿using System.IO;
using System.Text.RegularExpressions;
using System.Linq;

namespace Text_File_Spawn_Utility
{
    class Helpers
    {
        public static string MakeValidFileName(string name)
        {
            string invalidChars = Regex.Escape(new string(Path.GetInvalidFileNameChars()));
            string invalidReStr = string.Format(@"[{0}]+", invalidChars);
            return Regex.Replace(name, invalidReStr, "_");
        }

        public static bool DelimiterIsValid(char delimiter)
        {
            return !char.IsWhiteSpace(delimiter);
        }

        public static bool AllCharactersAreDelimiter(string text, char delimiter)
        {
            if (string.IsNullOrWhiteSpace(text))
                return false;

            bool result = true;

            foreach (char item in text)
            {
                if (!item.Equals(delimiter))
                {
                    result = false;
                    break;
                }
            }

            return result;
        }
    }
}
